#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb08194e9, "ata_std_qc_defer" },
	{ 0x326b7806, "pci_unregister_driver" },
	{ 0xb3ab7b86, "pcim_enable_device" },
	{ 0x96f04fc8, "pcim_iomap_regions" },
	{ 0x3623def6, "pcim_iomap_table" },
	{ 0xf5f60da6, "ata_host_alloc_pinfo" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0x689e9d59, "ata_print_version" },
	{ 0xd6b771d4, "dma_set_coherent_mask" },
	{ 0xe980233e, "pcie_set_readrq" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0xcbde6b3, "ata_host_activate" },
	{ 0xfdce6e03, "pci_enable_msi" },
	{ 0x262a517d, "_dev_info" },
	{ 0x7b187d3c, "pci_intx" },
	{ 0xbbe80c3b, "ata_eh_freeze_port" },
	{ 0x59a600ab, "sata_pmp_error_handler" },
	{ 0x118cc877, "sata_std_hardreset" },
	{ 0xddcd6240, "sata_set_spd" },
	{ 0xad4d497d, "ata_link_online" },
	{ 0x6c98647, "sata_deb_timing_long" },
	{ 0x994752a2, "sata_link_debounce" },
	{ 0x12ad7bf4, "ata_link_offline" },
	{ 0xeab946b9, "ata_msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x1d12c2cb, "ata_port_classify" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0x54087192, "sata_pmp_port_ops" },
	{ 0xf135dadf, "ata_scsi_queuecmd" },
	{ 0x772c262c, "ata_scsi_ioctl" },
	{ 0x78039eec, "ata_scsi_slave_alloc" },
	{ 0x7f6237c2, "ata_scsi_slave_config" },
	{ 0xe44eba70, "ata_scsi_slave_destroy" },
	{ 0xc99decc3, "ata_scsi_change_queue_depth" },
	{ 0xfb831465, "ata_scsi_dma_need_drain" },
	{ 0x40d0c31a, "ata_std_bios_param" },
	{ 0xe38d7913, "ata_scsi_unlock_native_capacity" },
	{ 0xbec5a38c, "ata_ncq_sdev_groups" },
	{ 0x2c084d49, "ata_pci_remove_one" },
	{ 0x8958aee3, "ata_pci_device_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11ce53a0, "__pci_register_driver" },
	{ 0xf20bf521, "ata_wait_register" },
	{ 0xc4157c5, "_dev_err" },
	{ 0x83729af3, "ata_pci_device_do_resume" },
	{ 0x5c0feed5, "ata_host_resume" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3949f1e7, "ata_qc_complete_multiple" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x16d0b4aa, "ata_port_freeze" },
	{ 0x5f27627a, "ata_ehi_clear_desc" },
	{ 0x10f95333, "ata_ehi_push_desc" },
	{ 0xe5f31c3a, "ata_link_abort" },
	{ 0xd0d2a304, "sata_async_notification" },
	{ 0xc25bf9ad, "ata_port_abort" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x937fcdca, "dmam_alloc_attrs" },
	{ 0x4bec281a, "ata_port_pbar_desc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001095d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003132sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000242sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000244sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003131sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003531sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "182F579EC4E6B467BE6F091");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
